# Fonts

Semantic typography roles aligned to Dynamic Type.

```swift
public struct Fonts {
    public var largeTitle: Font
    public var title: Font
    public var title2: Font
    public var title3: Font
    public var headline: Font
    public var subheadline: Font
    public var body: Font
    public var callout: Font
    public var footnote: Font
    public var caption: Font
    public var caption2: Font
    public var actionTitle: Font
    public var sectionHeader: Font
}
```

Example:

```swift
let fonts = SeamTheme.Fonts.default.with(
    largeTitle: .system(size: 40, weight: .bold),
    actionTitle: .headline.weight(.semibold)
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/ui-components/seam-mobile-components/seam-mobile-components-for-ios/theming/fonts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
